CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM

OpenFOAM v2.0 and groovyBC

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   June 23, 2011, 08:19
Default OpenFOAM v2.0 and groovyBC
  #1
Member
 
Join Date: Jul 2010
Posts: 37
Rep Power: 8
steph79 is on a distinguished road
Hi,

I can't seem to get groovyBC to work with OpenFOAM 2.0. I had it working with 1.7, even though it isn't listed as compatible on http://openfoamwiki.net/index.php/Contrib_groovyBC so I presume it should work with 2.0.

Here's what I get after running wmake (not as sudo);

touch: cannot touch `Make/linux64GccDPOpt/dontIncludeDeps': Permission denied
SOURCE=PatchValueExpressionDriver.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-100 -IMake/linux64GccDPOpt -I/opt/openfoam200/src/finiteVolume/lnInclude -IlnInclude -I. -I/opt/openfoam200/src/OpenFOAM/lnInclude -I/opt/openfoam200/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64GccDPOpt/PatchValueExpressionDriver.o
In file included from Make/linux64GccDPOpt/location.hh:44,
from PatchValueExpressionParser.tab.hh:65,
from PatchValueExpressionDriver.H:59,
from PatchValueExpressionDriver.C:34:
position.hh: In function ‘bool pve:perator==(const pve:osition&, const pve:osition&)’:
position.hh:136: warning: suggest parentheses around ‘&&’ within ‘||’
PatchValueExpressionDriver.C: In member function ‘void Foam::PatchValueExpressionDriver::error(const pve::location&, const std::string&)’:
PatchValueExpressionDriver.C:192: error: expected unqualified-id before ‘::’ token
PatchValueExpressionDriver.C:192: error: expected ‘;’ before ‘::’ token
PatchValueExpressionDriver.C: In member function ‘void Foam::PatchValueExpressionDriver::error(const std::string&)’:
PatchValueExpressionDriver.C:202: error: expected unqualified-id before ‘::’ token
PatchValueExpressionDriver.C:202: error: expected ‘;’ before ‘::’ token
make: *** [Make/linux64GccDPOpt/PatchValueExpressionDriver.o] Error 1





Any suggestions? Thanks.
steph79 is offline   Reply With Quote

Old   June 23, 2011, 22:25
Default
  #2
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,971
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by steph79 View Post
Hi,

I can't seem to get groovyBC to work with OpenFOAM 2.0. I had it working with 1.7, even though it isn't listed as compatible on http://openfoamwiki.net/index.php/Contrib_groovyBC so I presume it should work with 2.0.

Here's what I get after running wmake (not as sudo);

<error message snipped>

Any suggestions? Thanks.
That is the kind of problem that is to be expected with a major release.

I'll have a look at this once I'm back from vacation.

If you want to be sure that I remember this and want to be updated on the progress of the port open a ticket at
http://sourceforge.net/apps/mantisbt...?page_number=1

Bernhard
gschaider is offline   Reply With Quote

Old   June 23, 2011, 22:39
Default
  #3
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,971
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by steph79 View Post
Hi,

I can't seem to get groovyBC to work with OpenFOAM 2.0. I had it working with 1.7, even though it isn't listed as compatible on http://openfoamwiki.net/index.php/Contrib_groovyBC so I presume it should work with 2.0.

Here's what I get after running wmake (not as sudo);

PatchValueExpressionDriver.C:192: error: expected unqualified-id before ‘::’ token

PatchValueExpressionDriver.C:202: error: expected unqualified-id before ‘::’ token
Quick fix: remove the Foam:: in these two lines

Bernhard

PS: Stuff from the other posting still applies
gschaider is offline   Reply With Quote

Old   June 27, 2011, 07:18
Default
  #4
Member
 
Join Date: Jul 2010
Posts: 37
Rep Power: 8
steph79 is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Quick fix: remove the Foam:: in these two lines

Bernhard

PS: Stuff from the other posting still applies
Thanks I removed "Foam::" from lines 192 and 202 in the PatchValueExpressionDriver.C source file respectively and then tried wmake libso with the following error message;

touch: cannot touch `Make/linux64GccDPOpt/dontIncludeDeps': Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 53: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 57: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 59: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 60: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 61: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 62: cannot create PatchValueExpressionDriver.dep: Permission denied
Making dependency list for source file PatchValueExpressionDriver.C
make: *** [PatchValueExpressionDriver.dep] Error 2


Since it says permission denied I tried as sudo but then it can't understand wmake.

Any suggestions? Thanks.
steph79 is offline   Reply With Quote

Old   June 27, 2011, 07:56
Default
  #5
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,971
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by steph79 View Post
Thanks I removed "Foam::" from lines 192 and 202 in the PatchValueExpressionDriver.C source file respectively and then tried wmake libso with the following error message;

touch: cannot touch `Make/linux64GccDPOpt/dontIncludeDeps': Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 53: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 57: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 59: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 60: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 61: cannot create PatchValueExpressionDriver.dep: Permission denied
/opt/openfoam200/wmake/scripts/addCompile: 62: cannot create PatchValueExpressionDriver.dep: Permission denied
Making dependency list for source file PatchValueExpressionDriver.C
make: *** [PatchValueExpressionDriver.dep] Error 2


Since it says permission denied I tried as sudo but then it can't understand wmake.

Any suggestions? Thanks.
This "permission denied" is an OS-problem. Probably you don't have write access to the directories in question.

Bernhard
gschaider is offline   Reply With Quote

Old   June 27, 2011, 11:03
Default
  #6
New Member
 
Michael B Martell Jr
Join Date: Feb 2010
Location: Amherst, MA
Posts: 18
Rep Power: 8
theory37 is on a distinguished road
Adam, where did you place the groovyBCs source files?

Mike
theory37 is offline   Reply With Quote

Old   June 27, 2011, 16:43
Default
  #7
Member
 
Join Date: Jul 2010
Posts: 37
Rep Power: 8
steph79 is on a distinguished road
Quote:
Originally Posted by theory37 View Post
Adam, where did you place the groovyBCs source files?

Mike
/~/OpenFOAM/groovyBC

where /~/OpenFOAM is the directory I use to store and execute my cases inside my home folder.
steph79 is offline   Reply With Quote

Old   July 14, 2011, 21:30
Default
  #8
New Member
 
Ulisses
Join Date: Mar 2009
Location: Brazil
Posts: 24
Rep Power: 9
ulisses is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Quick fix: remove the Foam:: in these two lines

Bernhard

PS: Stuff from the other posting still applies
Thanks Bernhard !!!!
ulisses is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
groovyBC OpenFOAM 1.7.1 ??? hkhosravi OpenFOAM 1 May 4, 2011 04:50
groovyBC OpenFoam 1.7 dandalf OpenFOAM 7 March 18, 2011 06:19
OpenFOAM 1.6 and 1.7 with interFoam, groovyBC give different strange results Arnoldinho OpenFOAM 7 December 9, 2010 17:29
wmake groovyBC in OpenFOAM 1.7 ? randomid OpenFOAM Running, Solving & CFD 1 August 27, 2010 05:15
groovyBC & OpenFoam 1.7.0 val46 OpenFOAM 18 August 20, 2010 13:10


All times are GMT -4. The time now is 15:33.